{% extends 'Default/index.html.twig' %}

{% block main_content %}
  <section id="intro" class="container px-4 my-4">
    <div class="row">
      <div class="col-lg-12 px-lg-4 py-lg-2">
        <h1>{{ 'meetings.delete' | trans }}</h1>
      </div>
      <div class="col-lg-12 px-lg-4 py-lg-2 mt-4">
        <div class="card-text">
          <div class="row">
            <div class="col-3"><b>{{ 'general.nome' | trans }}</b></div>
            <div class="col-6">{{ meeting.name}}</div>
          </div>
          <div class="row">
            <div class="col-3"><b>{{ 'date' | trans }}</b></div>
            <div class="col-6">{{ meeting.fromTime | format_date( locale=app.request.locale) }}</div>
          </div>
          <div class="row">
            <div class="col-3"><b>{{ 'time.now' | trans }}</b></div>
            <div class="col-6">{{ meeting.fromTime | format_time(pattern='HH:mm', locale=app.request.locale) }}</div>
          </div>
          <div class="row">
            <div class="col-3"><b>{{ 'meetings.labels.backoffice_reason' | trans }}</b></div>
            <div class="col-6">{{ meeting.reason }}</div>
          </div>
          <div class="row">
            <div class="col-3"><b>{{ 'calendars.detail' | trans }}</b></div>
            <div class="col-6">{{ meeting.userMessage }}</div>
          </div>
          <div class="row">
            <div class="col-3"><b>{{ 'general.email' | trans }}</b></div>
            <div class="col-6">{% if meeting.email %}{{ meeting.email }}{% else %}---{% endif %}</div>
          </div>
          <div class="row">
            <div class="col-3"><b>{{ 'meetings.labels.phone_number' | trans }}</b></div>
            <div class="col-6">{% if meeting.phoneNumber %}{{ meeting.phoneNumber }}{% else %}---{% endif %}</div>
          </div>
          <div class="row">
            <div class="col-3"><b>{{ 'general.stato' | trans }}</b></div>
            <div class="col-6">
              {% if meeting.status == 0 %}
                {{ 'operatori.meeting_status.pending' | trans }}
              {% elseif meeting.status == 1 %}
                {{ 'operatori.meeting_status.approved' | trans }}
              {% elseif meeting.status == 2 %}
                {{ 'operatori.meeting_status.refused' | trans }}
              {% elseif meeting.status == 3 %}
                {{ 'operatori.meeting_status.missed' | trans }}
              {% elseif meeting.status == 4 %}
                {{ 'operatori.meeting_status.done' | trans }}
              {% elseif meeting.status == 5 %}
                {{ 'operatori.meeting_status.cancelled' | trans }}
              {% endif %}
            </div>
          </div>
        </div>
        <div class="mt-5">
        {% if canCancel and meeting.status != 5%}
            {{ form_start(form) }}
            {{ form_widget(form.save) }}
            {{ form_end(form) }}
        {% elseif not canCancel %}
          <div class="alert alert-warning" role="alert">
            <p>{{ 'meetings.error.too_late' | trans }}</p>
          </div>
        {% endif %}
        </div>
      </div>
    </div>
  </section>
{% endblock %}
